Manjaro GNOME
   443

Конфликт зависимостей при обновлении (ФОТО В ОПИСАНИИ)

Сегодня пришла обновка, но начать я её не смог, так как зависимости начали конфликтовать между собой.

Manjaro GNOME: Конфликт зависимостей при обновлении.
Manjaro GNOME: Зависимости быкуют между собой, когда пытаюсь обновиться.

Как исправить?

4 комментария

avatar
Возможны варианты.
  • Удалить 18-ую версию и поставить 19-ую руками.
  • Просто снести пакет, если он не нужен.
  • Использовать нормальные консольные тулзы вроде pikaur, которые при возникновении конфликтов предлагают варианты.
Последний раз редактировалось
0
avatar

У меня стоят расширения GNOME. Они могут улететь в небытие в случае удаления.
Последний раз редактировалось
0
avatar
Мне кажется вы вполне бы могли просто скопировать их, а потом вернуть на место или переустановить. На крайний случай можете добавить пакет в исключения и он не будет обновляться, правда иногда такие пакеты потом перестают корректно работать или работать вообще, потому что какая нить библиотека из зависимостей обновилась.
Расширения для гнома кажется лежат:
~/.local/share/gnome-shell/extensions
/usr/share/gnome-shell/extensions
/usr/local/share/gnome-shell/extensions
Последний раз редактировалось
?
Eble ekzistas io ĉi tie, sed kio estas la punkto?
0
avatar
У пакета никаких зависимостей.
Нужен он полутора землекопам (dash-to-dock и arc-menu) и то только при условии отсутствия конфигов в хомяке.
И обновите репы. Нижних двух пакетов в них больше нет.
0
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.